---
# Этапы конвейера
stages:
  - build
  - deploy

# Эта папка кешируется между сборками
# https://docs.gitlab.com/ee/ci/yaml/index.html#cache
cache:
  paths:
    - node_modules/

build_artifact:
  stage: build
  script:
    - npm install

deploy_server:
  stage: deploy
  variables:
    PROJECT_ROOT: /var/www/production/pro/universo/bot
  script:
    - sudo -u www-data rm -rf $PROJECT_ROOT
    - sudo -u www-data cp -r $(pwd) $PROJECT_ROOT
    - export BOT_TELEGRAM_TOKEN=$BOT_TELEGRAM_TOKEN
    - pm2 restart up-bot01p || pm2 start $PROJECT_ROOT/main.js --name up-bot01p
